const system = require("../../system");
const ServiceBase = require("../sve.base");

class BusistatService extends ServiceBase {
    constructor() {
        super(ServiceBase.getDaoName(BusistatService));
    }
    async syncDayData(statDay, list) {
        if (!list || list.length == 0) {
            return;
        }
        await this.dao.delByDay(statDay);
        await this.dao.bulkCreate(list);
    }

    async updateDepartmentName(params) {
        return await this.dao.updateDepartmentName(params);
    }
}

module.exports = BusistatService;
